---
schema_version: "1"
id: bed2b8e22d13a41ce7c5d1528c95fa6d56938c71401f17970c6e7d055134794b
title: POST /sms/v1/contacts/queueImport/{id}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/queueContactImport.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/queueContactImport.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 59e0137a08a7417de3a316eb0a16c4d69d4f6aa5afbbab29c3367fb77fe9f450
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /sms/v1/contacts/queueImport/{id}

## Overview

Queues a contact import.

### URL Parameters

<!--complex table-->

| Name       | Type   |              | Description |
| ---------- | ------ | ------------ | ----------- |
| **listId** | string | **Required** | the list id |

### JSON Parameters

<!--complex table-->

| Name                      | Type    |     | Description                                                  |
| ------------------------- | ------- | --- | ------------------------------------------------------------ |
| **shortCode**             | string  |     | The short code                                               |
| **keyword**               | string  |     | The keyword                                                  |
| **sendEmailNotification** | boolean |     | Send email notification                                      |
| **emailAddress**          | string  |     | Email address the notification goes to                       |
| **importMappingType**     | string  |     | Field mapping type                                           |
| **fileName**              | string  |     | The name of the file, including extensions                   |
| **fileType**              | string  |     | The only type supported is csv                               |
| **isFirstRowHeader**      | boolean |     | Flag indicating whether or not the first row is the header   |
| **fieldMaps**             | array   |     | List of field maps includes destination, ordinal, and source |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/contacts/queueImport/UEhwdktFWXpFZUs3Z3hRUW45R2dBQTo2Mzow
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ListId": "UEhwdktFWXpFZUs3Z3hRUW45R2dBQTo2Mzow",
    "ShortCode": "90913",
    "Keyword": "WELCOME",
    "SendEmailNotification": "true",
    "EmailAddress": "example@example.com",
    "ImportMappingType": "MapByOrdinal",
    "FileName": "testdata.csv",
    "FileType": "csv",
    "IsFirstRowHeader": "true",
    "FieldMaps": [
        {
            "destination": "_MobileNumber",
            "ordinal": 2,
            "source": "mobile number"
        },
        {
            "destination": "_CountryCode",
            "ordinal": 3,
            "source": "locale"
        },
        {
            "destination": "_SubscriberKey",
            "ordinal": 1,
            "source": "subscriber key"
        }
    ]
}
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "tokenId": "NzY2MTU6NDI6MA"
}
```
